Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Update Graph

PATCH/api/v1/graphs/{graph_id}
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
graph_idstringrequired
Request body
requiredapplication/json
namestring | any
Show properties
Any of:
string
string
any
any
descriptionstring | any
Show properties
Any of:
string
string
any
any
definitionobject | any
Show properties
Any of:
object
object
any
any
ui_stateobject | any
Show properties
Any of:
object
object
any
any
Responses
200Successful Response
successboolean
default: true
dataNodeGraph | any
Show properties
Any of:
NodeGraph
idstring
namestringrequired
descriptionstring
default: ""
definitionobject
ui_stateobject
forked_fromstring | any
Show properties
Any of:
string
string
any
any
templateboolean
default: false
owner_idstringrequired
created_atstring<date-time>
updated_atstring<date-time>
deleted_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PATCH "/api/v1/graphs/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "definition": {},
  "ui_state": {}
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "description": "",
    "definition": {},
    "ui_state": {},
    "forked_from": "string",
    "template": false,
    "owner_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}